summaryrefslogtreecommitdiffstats
path: root/testsuite/check.sh
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 09:32:10 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2015-11-07 09:32:10 +0000
commit48f82c742fbb20fd624a466f0f3dcbc9a9679768 (patch)
tree694e61fe55b10051d97cd89a73cd70de544d85c5 /testsuite/check.sh
parentAdding debian version 1.13~rc2-1. (diff)
downloadlzip-48f82c742fbb20fd624a466f0f3dcbc9a9679768.tar.xz
lzip-48f82c742fbb20fd624a466f0f3dcbc9a9679768.zip
Merging upstream version 1.13.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'testsuite/check.sh')
-rwxr-xr-xtestsuite/check.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/testsuite/check.sh b/testsuite/check.sh
index a82d0de..116345c 100755
--- a/testsuite/check.sh
+++ b/testsuite/check.sh
@@ -22,24 +22,22 @@ mkdir tmp
cd "${objdir}"/tmp
cat "${testdir}"/test.txt > in || framework_failure
+cat in in > in2 || framework_failure
fail=0
printf "testing lzip-%s..." "$2"
"${LZIP}" -t "${testdir}"/test_v0.lz || fail=1
-printf .
"${LZIP}" -cd "${testdir}"/test_v0.lz > copy || fail=1
cmp in copy || fail=1
printf .
"${LZIP}" -t "${testdir}"/test_v1.lz || fail=1
-printf .
"${LZIP}" -cd "${testdir}"/test_v1.lz > copy || fail=1
cmp in copy || fail=1
printf .
"${LZIP}" -t "${testdir}"/test_sync.lz || fail=1
-printf .
"${LZIP}" -cd "${testdir}"/test_sync.lz > copy || fail=1
cmp in copy || fail=1
printf .
@@ -82,6 +80,11 @@ for i in s4Ki 0 1 2 3 4 5 6 7 8 9 ; do
printf .
done
+"${LZIP}" < in2 > out2 || fail=1
+"${LZIP}" -d < out2 > copy2 || fail=1
+cmp in2 copy2 || fail=1
+printf .
+
"${LZIP}" < in > anyothername || fail=1
"${LZIP}" -d anyothername || fail=1
cmp in anyothername.out || fail=1